/*

UW Colors
--color-husky-purple: #32006e;
--color-spirit-purple: #4b2e83;
--color-husky-gold: #b7a57a;
--color-husky-web-gold: #e8e3d3;
--color-heritage-gold: #85754d;
--color-spirit-gold: #ffc700;
--color-accent-green: #aadb1e;
--color-accent-teal: #2ad2c9;
--color-accent-pink: #e93cac;
--color-accent-lavender: #c5b4e3;

CoE Colors
--color-accent-gray: rgb(245, 245, 245);
--color-accent-purple: rgb(97, 59, 169);

*/

:root {
  --husky-purple: #32006e;
  --heritage-gold: #85754d;
}

@font-face {
  font-family: "Encode Sans Compressed Light";
  src: url(EncodeSansCompressed-300-Light.ttf);
}

@font-face {
  font-family: "Encode Sans Compressed Regular";
  src: url(EncodeSansCompressed-400-Regular.ttf);
}

@font-face {
  font-family: "Encode Sans Compressed SemiBold";
  src: url(EncodeSansCompressed-600-SemiBold.ttf);
}

@font-face {
  font-family: "Encode Sans Compressed Bold";
  src: url(EncodeSansCompressed-700-Bold.ttf);
}


body {
  margin: 0;
  font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 17px;
}

h1, h2, h3, h4, h5, h6 {
  font-family: "Encode Sans Compressed Bold", sans-serif;
  color: var(--husky-purple);
  line-height: 1.2;
  margin-bottom: 20px;
}

h1, .h1 {
  font-size: 37px;
}

h2, .h2 {
  font-size: 34px;
}

h3, .h3 {
  font-size: 29px;
}

h4, .h4, h4 > a {
  font-size: 22px;
}

h4 > a {
  font-family: "Encode Sans Compressed Bold", sans-serif;
  color: var(--husky-purple); 
}

h4 > a:hover {
  color: var(--heritage-gold);
}

a {
  font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
  color: var(--husky-purple);
  font-size: inherit;
}

a:hover {
  color: #85754d;
  text-decoration: none;
}

header {
  border-bottom: 2px solid var(--husky-purple);
  overflow-x: clip;
}

.navbar {
  margin-bottom: 0;
  border-radius: 0;
  border: 0;
}

.navbar-header button,
.navbar-nav > li > a {
  font-family: "Encode Sans Compressed SemiBold", sans-serif;
  font-size: 16px;
}

.navbar-brand {
  height: 70px;
}

.navbar-row {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

header nav ul {
  list-style: none;
}

.navbar-brand {
  padding: 0 0 0 15px;
}

.navbar-toggle {
  margin-bottom: 0;
  margin-top: 0;
  background-color: var(--husky-purple);
  color: #ffffff;
  transform: skewX(-15deg);
  padding: 0;
  margin-right: -15px;
  border: 0;
  font-family: "Encode Sans Compressed Regular";
  font-size: 16px;
  width: 104px;
  height: 56px;
  border-radius: 0;
  font-size: 16px !important;
}

.navbar-toggle span {
  display: block;
  transform: skewX(15deg);
  text-transform: uppercase;
  margin-right: 4px;
}

.engr-logo {
  max-width: 100%;
  padding: 5px 0;
  height: auto;
  margin-top: 5px;
}

.navbar-right {
  margin-top: 10px;
}

.navbar-nav > li > a:hover {
  color: #85754d;
  background-color: transparent;
}

.navbar-collapse {
  transition: all 0.3s ease;
  z-index: 3;
}

.navbar-collapse.collapse.in .navbar-nav-links li {
  padding-bottom: 24px;
}

.navbar-collapse.collapse.in .navbar-nav-links li a {
  color: #ffffff;
  text-transform: uppercase;
  font-size: 17px;
}

.navbar-collapse.collapse.in .navbar-nav-links li > a:hover {
  color: #b7a57a;
  background-color: transparent;
}

.hero-wrapper {
  min-height: 180px;
  position: relative;
  display: flex;
  align-items: center;
  background-color: var(--husky-purple);
  margin-bottom: 40px;
}

.hero-wrapper img {
  width: 100%;
  height: 100%;
  max-width: 100%;
  object-fit: cover;
  object-position: center;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  opacity: 0.3;
}

.hero-wrapper h1 {
  font-family: "Encode Sans Compressed Bold", sans-serif;
  color: #ffffff;
  position: relative;
  z-index: 2;
  margin-bottom: 15px;
  text-transform: uppercase;
}

/* app content */
#body-copy {
  -webkit-font-smoothing: antialiased;
}

.alert > :last-child {
  margin-bottom: 0;
}

form[name="search"] {
  margin-bottom: 25px;
}

#greeting-nav i.fas {
  font-size: 1.25em;
  color: var(--husky-purple);
}

#accept-periods-uw-toggle > i,
#accept-periods-cse-toggle > i {
  position: relative;
  top: 2px;
}

/* /advisor page sidebar menu */
#sidebar .uw-sidebar-heading {
  margin: 0;
  padding: 0;
  background-color: var(--husky-purple);
  color: #fff;  
  font-weight: 400;
  position: relative;
  height: auto;
}

#sidebar .uw-sidebar-heading a {
  text-decoration: none;
  display: block;
  padding: 10px 10px 10px 20px;
  font-size: 18px;
}

#sidebar h3 a {
  color: #ffffff;
}

#sidebar ul.uw-sidebar-menu {
    margin: 0 0 60px;
    padding: 0
}

#sidebar ul.uw-sidebar-menu li {
  display: block;
  background-color: #f1f1f1;
}

#sidebar ul.uw-sidebar-menu li a {
  font-family: "Encode Sans Compressed Regular", sans-serif;
  font-size: 18px;
  color: var(--husky-purple);
  text-decoration: none;
  display: block;
  height: 100%;
  padding: 8px 5px 8px 30px;
  line-height: 1.35em;
}

#sidebar ul.uw-sidebar-menu li a > i {
  margin-left: 5px;
}

#sidebar ul.uw-sidebar-menu li a:focus,#sidebar ul.uw-sidebar-menu li a:focus li,#sidebar ul.uw-sidebar-menu li a:hover,#sidebar ul.uw-sidebar-menu li a:hover li {
  background-color: #DDDDDD;
}

#sidebar ul.uw-sidebar-menu li a .dawgdrops-item-small {
  display: block;
  line-height: 22px;
  padding-top: 3px;
  font-size: 75%;
  font-weight: 400;
}

#sidebar ul.uw-sidebar-menu li .active-trail {
  color: #b7a57a
}

#sidebar ul.uw-sidebar-menu li li a {
  padding-left: 40px
}

#sidebar .uw-sidebar-heading a:focus,#sidebar .uw-sidebar-heading a:hover {
  text-decoration: underline;
}

#sidebar .bgbottom,#sidebar .bgtopP,#sidebar .block-title {
  display: none
}

#sidebar h1, #sidebar h2 {
  font-size: 17px;
  font-family: Open Sans,Helvetica Neue,Helvetica,Arial,sans-serif;
  line-height: 26px;
  font-weight: 400;
  padding: 5px 10px;
  color: #fff
}

#sidebar h1,#sidebar h2.contact {
  background: #85754d
}

#sidebar h2 {
  background: #4b2e84
}

#sidebar h3,#sidebar h4,#sidebar h5 {
  font-size: 17px;
  font-family: Open Sans,Helvetica Neue,Helvetica,Arial,sans-serif;
  line-height: 26px;
  color: #000;
  padding: 5px 10px;
  margin: 0
}

#sidebar p {
  padding: 5px 10px
}

.uw-footer {
  position: relative;
  background-color: var(--husky-purple);
  text-align: center;
  color: #ffffff;
  padding: 50px 0;
  border-top: 7px solid #d1d1d1;
  font-family: "Open Sans", sans-serif;
  font-size: 15px;
  margin-top: 50px;
}

.uw-footer-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.7;
}

.uw-footer-connect {
  margin: 80px 0;
  position: relative;
}

.uw-footer-connect h4 {
  font-family: "Encode Sans Compressed SemiBold", sans-serif;
  font-size: 20px;
  color: #ffffff;
}

.uw-footer-connect:before,
.uw-footer-connect:after {
  content: "";
  display: block;
  width: 70px;
  height: 1px;
  background: #ffffff;
  opacity: 0.8;
  position: absolute;
  left: 50%;
  top: -27px;
  margin-left: -37px;
}

.uw-footer-connect:after {
  top: unset;
  bottom: -27px;
}

.uw-footer-logo-link {
  display: block;
  position: relative;
  margin-bottom: 25px;
}

.coe-wordmark-logo {
  max-width: 100%;
}

.uw-footer-boundless-link {
  margin: 20px 0;
  position: relative;
}

.uw-footer-boundless-logo {
  max-width: 100%;
  opacity: 1;  
  transition: all 0.2s ease-in-out;
}

.uw-footer-boundless-logo:hover {
  opacity: 0.70;
}

.uw-footer-social {
  list-style: none;
  padding: 0;
  margin: 0;
}

.uw-footer-social li {
  display: inline-block;
  margin-right: 14px;
  width: 2em;
}

.uw-footer-social li:last-child {
  margin-right: 0;
} 

.uw-footer-social a {
  color: white;
  transition: all 0.2s ease-in-out;
  text-decoration: none;
}

.uw-footer-social a:hover {
  color: #b7a57a;
}

.uw-footer-social li i {
  font-family: "Font Awesome 5 Brands";
  font-style: normal;
  font-size: 2em;
}

.uw-footer-social li .newsletter i {
  font-family: "Font Awesome 5 Free";
}

.uw-footer-social li .instagram i {
  font-size: 1.5em;
  padding: 3px 5px;
  background-color: white;
  color: var(--husky-purple);
  border-radius: 3px;
  transition: all 0.2s ease-in-out;
  position: relative;
  top: -3px;
}

.uw-footer-social li .instagram:hover i {
  background-color: #b7a57a;
}

.uw-footer-links {
  margin-bottom: 15px;
  position: relative;  
}

.uw-footer-links a:not(:last-child):after {
  content: "|";
  display: inline;
  margin: 0 10px;
  color: #ffffff;
}


.uw-footer-links a {
  color: #ffffff;
  text-decoration: underline;
  font-family: "Encode Sans Compressed Regular";
  font-size: 17px;
}

.uw-footer-links a:hover {
  color: #b7a57a;
}

.uw-footer-copyright {
  position: relative;
}

@media screen and (max-width: 768px) {
  h1 {
    font-size: 34px;
  }

  .navbar-brand {
    height: initial;
  }

  .engr-logo {
    width: 200px;
    height: auto;
  }

  .navbar-nav > li > a {
    color: #ffffff;
    font-size: 18px;
    padding: 15px;
  }

  .navbar-nav > li > a:hover {
    color: #b7a57a;
    background-color: transparent;
  }

  .navbar-collapse {
    transition: height 0.3s ease;
    position: absolute;
    width: 100%;
    background-color: var(--husky-purple);
    padding: 0 22px;
  }

  .hero-wrapper {
    display: block;
    padding: 30px 5px;
    margin-bottom: 15px;
  }

  .uw-footer {
    padding: 40px 0 30px;
  }
}

/* Bootstrap overrides */

.btn-primary {
  background-color: var(--husky-purple);
  border-color: var(--husky-purple);
}

.btn-primary:hover {
  background-color: var(--heritage-gold);
  border-color: var(--heritage-gold);
}

.panel-primary {
  border-color: var(--husky-purple);
}

.panel-primary > .panel-heading {
  background-color: var(--husky-purple);
  border-color: var(--husky-purple);
}

.pagination > .active> a, 
.pagination > .active > a:focus, 
.pagination > .active > a:hover, 
.pagination > .active > span, 
.pagination > .active > span:focus, 
.pagination > .active > span:hover {
  z-index: 3;
  color: #fff;
  cursor: default;
  background-color: var(--husky-purple);
  border-color: var(--husky-purple);
}

.pagination-sm > li > a, 
.pagination-sm > li > span {
  font-size: 15px;
  line-height: 1.5;
}

.input-sm {
  height: 34px;
  padding: 5px 9px;
  font-size: 15px;
  line-height: 1.5;
  border-radius: 2px;
}

select.input-sm {
  height: 34px;
}

.btn-group-sm > .btn, .btn-sm {
  padding: 5px 9px;
  font-size: 15px;
  line-height: 1.5;
  border-radius: 3px;
  margin: 0 3px;
}

#search-container .search-button .checkbox-inline .subtext {
  position: relative;
  top: -2px;
}

/* overriding inc/style.css */
.panel-title {
  font-size: 20px;
}

.bg-uw {
  background-color: var(--husky-purple) !important;
  color: #ffffff !important;
}

#greeting-nav h4 > a {
  color: var(--husky-purple) !important;
}

#greeting-nav h4 > a:hover > * {
  color: var(--heritage-gold) !important;
}

/* Tailwind template */
/* Doesn't work as an inline-style in tailwind.html template */
html  {
  font-size: 17px;
}

/*.tailwind .navbar-nav li a {
  color: var(--husky-purple);
}
*/

.tailwind .navbar-nav li a:hover {
  color: var(--heritage-gold);
}

.tailwind .hero-wrapper .container {
  max-width: 1280px !important;
}

.tailwind h1 {
  font-size: 2.25rem;
}

@media screen and (max-width: 768px) {
  .tailwind .navbar-nav li a {
    color: #ffffff;
  }

  .tailwind .navbar-nav li a:hover {
    color: #b7a57a;
  }
}
